Microsoft Cognitive Services Computer Vision client SDK and samples
===================================================

This repo contains the client libraries that demonstrate Microsoft’s cloud-based
computer vision algorithms designed to return information based on the visual
content, and to generate your ideal thumbnail. With this API, you can choose
which visual features you want to extract that best suit your needs. See the
tech in action on [our demo
page](<https://www.microsoft.com/cognitive-services/en-us/computer-vision-api>) or learn more about
the API with [our
documentation](<https://www.microsoft.com/cognitive-services/en-us/computer-vision-api/documentation>).

### Analyze an image

This module will produce visual features based on the input image's visual
content -- image categories, pornographic detection, dominant color, and more.

-   Use the adult and racy features to enable automated restriction of sexual
    content and protect your users.

-   Utilize categorization to help append tags to images, as well as group
    images into clusters.

-   Describe images in complete sentences and recognize celebrities that appear in
    photos.

### Generate a thumbnail

Given an input image, you will be able to generate a high quality and storage
efficient thumbnail.

-   Leverage thumbnail generation to help present images in the best form suited
    to your needs.

-   Use smart cropping for thumbnails that are different than the aspect ratio
    of your original image in order to preserve the region of interest.

### OCR

Optical Character Recognition (OCR) detects text in an image and extracts the
recognized characters into a machine-usable character stream.

-   Run on embedded images to generate text and enable searching.

-   Allow users to take photos of text instead of transcribing to save time and
    effort.

Getting started
===============

To get started, select the platform for which you're developing.

-   [Android](<Android>)
-   [Python](<Python>)
-   [Windows](<Windows>)

Contributing
============
We welcome contributions and are always looking for new SDKs, input, and
suggestions. Feel free to file issues on the repo and we'll address them as we can. You can also learn more about how you can help on the [Contribution
Rules & Guidelines](</CONTRIBUTING.md>).

For questions, feedback, or suggestions about Microsoft Cognitive Services, feel free to reach out to us directly.

-   [Cognitive Services UserVoice Forum](<https://cognitive.uservoice.com>)

License
=======

All Microsoft Cognitive Services SDKs and samples are licensed with the MIT License. For more details, see
[LICENSE](</LICENSE.md>).

Sample images are licensed separately, please refer to [LICENSE-IMAGE](</LICENSE-IMAGE.md>).
